#!/bin/bash

#    YAATOBS - yet another avr toolchain build script
# 
#    Copyright (C) 2019  Torsten Brischalle
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/

set -e

. ./00_settings.sh

BINUTILS_FLAGS="--prefix=${TOOLCHAIN_PREFIX} --target=${TOOLCHAIN_TARGET} --disable-nls --disable-werror"

echo "*****************************************************"
echo "*** build binutils                                ***"
echo "*****************************************************"

cd tmp

rm -rf binutils-*-build
mkdir binutils-${BINUTILS_VERSION}-build

if [ -d binutils-${BINUTILS_VERSION} ]
then
  echo "binutils already extracted"
else
  if [ -e ../sources/binutils-${BINUTILS_VERSION}.tar.bz2 ]
  then
    echo "binutils already downloaded"
  else
    echo "download binutils"
    wget ${WGET_OPT} -P ../sources https://ftpmirror.gnu.org/binutils/binutils-${BINUTILS_VERSION}.tar.bz2
  fi

  echo "extract binutils"
  tar -xjf ../sources/binutils-${BINUTILS_VERSION}.tar.bz2
fi

cd binutils-${BINUTILS_VERSION}-build
echo "configure binutils"
../binutils-${BINUTILS_VERSION}/configure ${BINUTILS_FLAGS}
echo make "build binutils"
make
make install

cd ../..

echo "*****************************************************"
echo "*** build binutils: DONE                          ***"
echo "*****************************************************"

